@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100..900&display=swap');
:root {
  --bg-color: #f6f6f6;
  --primary-color: #0d0d0d;
  --border: rgba(0, 0, 0, 0.07);
  --btn-shadow: 0px 0px 1px rgba(0, 0, 0, 0.1), 0px 5px 8px -2px rgba(0, 0, 0, 0.05),
    0px 1px 5px rgba(0, 0, 0, 0.05), 0px 2px 4px rgba(0, 0, 0, 0.05),
    0px 1px 1px rgba(0, 0, 0, 0.05), inset 0px 1px 8px -1px rgba(0, 0, 0, 0.07);
  --tooltip-shadow: inset 0px 2px 20px rgba(0, 0, 0, 0.2), 0px 2px 16px rgba(0, 0, 0, 0.32);
  --indicator-opacity: 0.85;
  --scrim: rgba(255, 255, 255, 0.15);
  --overlay-bg: rgba(255, 255, 255, 0.5);
  --overlay-shadow: 0px 16px 32px 0px rgba(0, 0, 0, 0.05), 0px 4px 8px 0px rgba(0, 0, 0, 0.05),
    0px 0px 1px 0px rgba(0, 0, 0, 0.25);
  --link-bg: rgba(0, 0, 0, 0);
  --link-bg-hover: rgba(0, 0, 0, 0.05);
  --shortcut-color: #4D4D4D;
}
:root.dark-mode {
  --bg-color: #141414;
  --primary-color: white;
  --border: rgba(255, 255, 255, 0.1);
  --btn-shadow: 0px 12px 16px rgba(0, 0, 0, 0.15), 0px 8px 12px rgba(0, 0, 0, 0.15),
    0px 0px 1px rgba(0, 0, 0, 0.1), 0px 5px 8px -2px rgba(0, 0, 0, 0.15),
    0px 1px 5px rgba(0, 0, 0, 0.1), 0px 2px 4px rgba(0, 0, 0, 0.05), 0px 1px 1px rgba(0, 0, 0, 0.05),
    inset 0px 0.5px 1px rgba(255, 255, 255, 0.36), inset 0px 1px 6px rgba(0, 0, 0, 0.08);
  --tooltip-shadow: inset 0px 2px 20px rgba(0, 0, 0, 0.2), 0px 2px 20px rgba(0, 0, 0, 0.5);
  --indicator-opacity: 0.7;
  --scrim: rgba(0, 0, 0, 0.3);
  --overlay-bg: rgba(0, 0, 0, 0.4);
  --overlay-shadow: 0px 32px 64px 0px rgba(0, 0, 0, 0.15), 0px 16px 32px 0px rgba(0, 0, 0, 0.15),
    0px 4px 8px 0px rgba(0, 0, 0, 0.15), 0px 0px 1px 0px rgba(255, 255, 255, 0.5);
  --link-bg: rgba(255, 255, 255, 0);
  --link-bg-hover: rgba(255, 255, 255, 0.1);
  --shortcut-color: #B3B3B3;
}
body {
  font-family: 'Inter', sans-serif;
  font-optical-sizing: auto;
  font-style: normal;
  font-variation-settings: 'slnt' 0;
  font-variant-numeric: tabular-nums;
  font-weight: 200;
  color: var(--primary-color);
  background-color: var(--bg-color);
}
.btn svg path {
  stroke: var(--primary-color);
}

.logo {
  height: 24px;
}
.logo svg path {
  fill: var(--primary-color);
}

.page {
  position: fixed;
  height: 100dvh;
  width: 100vw;
  transition: all 0.5s ease-in-out;
}
.wrapper {
  z-index: -5;
  font-size: 3.3vmin;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate3D(-50%, -50%, 0);
  display: flex;
  height: 100vmin;
  width: 100vmin;
  align-items: center;
  justify-content: center;
  transition: all 0.3s ease, opacity 0.3s ease-out;
}

.wrapper.zoomed {
  left: 0;
  transform: scale(175%) translate3D(-28.6vmin, -28.6vmin, 0);
}

.hour-container,
.minute-container {
  transform-origin: center;
  width: 100vmin;
  height: 100vmin;
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  top: 0;
  left: 0;
}
.hour-container {
  transition: transform 0.5s ease;
}
.hour-div,
.minute-div {
  transition: opacity 0.5s ease-out;
}
.hour-div {
  position: absolute;
  width: 100vmin;
  transform-origin: center;
  text-align: right;
  padding-right: 12vmin;
}
.minute-div {
  position: absolute;
  width: 100vmin;
  transform-origin: center;
  text-align: right;
  padding-right: 6vmin;
}
.indicator {
  position: relative;
  opacity: var(--indicator-opacity);
  border-radius: 50%;
  width: 8vmin;
  height: 8vmin;
  box-sizing: border-box;
  box-shadow: inset 0 0 0 0.16vmin var(--primary-color);
  transition: box-shadow 0.5s ease-out;
}
.indicator::before {
  position: absolute;
  left: 100%;
  top: calc(50% - 0.08vmin);
  display: inline-block;
  height: 0.16vmin;
  width: 28vmin;
  background-color: var(--primary-color);
  transition: background-color 0.5s ease-out;
  content: '';
  border-radius: 0 0.16vmin 0.16vmin 0;
}
header {
  z-index: 3;
  opacity: 0.85;
  position: fixed;
  top: clamp(24px, 3vmin, 64px);
  right: clamp(24px, 3vmin, 64px);
  font-size: clamp(14px, 3.3vmin, 18px);
  font-weight: 400;
  letter-spacing: 0.5em;
  text-align: right;
}
header span {
  letter-spacing: 0;
}
.buttons {
  z-index: 3;
  position: fixed;
  bottom: clamp(24px, 3vmin, 64px);
  right: clamp(24px, 3vmin, 64px);
  display: flex;
  flex-direction: column-reverse;
  gap: 12px;
}
.btn {
  position: relative;
  font-size: 11pt;
  font-weight: 600;
  text-transform: uppercase;
  width: 40px;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 6px;
  box-sizing: border-box;
  background: linear-gradient(180deg, rgba(255, 255, 255, 0.02) 0%, rgba(255, 255, 255, 0.1) 100%);
  box-shadow: var(--btn-shadow);
}
.btn:active,
.btn:focus {
  scale: 0.96;
}
a {
  text-decoration: none;
  color: var(--primary-color);
}
.btn::after {
  pointer-events: none;
  color: #FAFAFA;
  opacity: 0;
  font-size: 9pt;
  font-weight: 500;
  letter-spacing: 0.06em;
  position: absolute;
  border-radius: 4px;
  right: 100%;
  top: 50%;
  transform: translateY(-50%);
  background: #2e2e2e;
  padding: 8px;
  text-shadow: 0px 2px 12px rgba(0, 0, 0, 0.5);
  box-shadow: var(--tooltip-shadow);
  content: '';
  transition: all 0.1s ease;
}
.zoom.btn::after {
  content: 'Zoom';
}
.about.btn::after {
  content: 'About';
}
.mode.btn::after {
  content: 'Mode';
}

.overlay {
  position: fixed;
  z-index: 2;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100dvh;
  display: flex;
  justify-content: center;
  align-items: center;
}

.overlay.hide {
  top: -100dvh;
}

.pop-up {
  z-index: 2;
  display: flex;
  flex-direction: column;
  border-radius: 24px;
  width: 640px;
  max-width: 93vw;
  min-height: 320px;
  background-color: var(--overlay-bg);
  box-shadow: var(--overlay-shadow);
  -webkit-backdrop-filter: blur(12px);
  backdrop-filter: blur(12px);
  font-size: 21px;
  line-height: 1.5;
  font-weight: 500;
  opacity: 1;
  scale: 1;
  transition: all 0.2s ease;
}
.pop-up.hide {
  scale: 0.8;
  opacity: 0;
  transform: translateY(64px);
}

.pop-up section {
  padding: 28px;
  flex: 1;
}
.pop-up footer {
  border-top: solid 1px;
  border-color: var(--border);
  padding: 12px 12px;
  display: flex;
}
.shortcuts {
  padding: 0 16px;
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 16px;
  flex: 1;
}
.kbd {
  color: var(--shortcut-color);
  font-weight: 450;
  align-items: center;
  font-size: 13px;
  letter-spacing: 0.025px;
  display: none;
  gap: 8px;
}
.kbd span {
  font-size: 12px;
  letter-spacing: 0;
  font-weight: 350;
  display: flex;
  height: 20px;
  width: 20px;
  justify-content: center;
  align-items: center;
  background-color: var(--link-bg-hover);
  border-radius: 4px;
}

.scrim {
  position: absolute;
  z-index: 1;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100dvh;
  background-color: var(--scrim);
  -webkit-backdrop-filter: blur(6px);
  backdrop-filter: blur(6px);
  opacity: 1;
  transition: opacity 0.2s ease;
}
.scrim.hide {
  opacity: 0;
}

.link-btn {
  border-radius: 360px;
  height: 36px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 12px;
  padding: 0 12px;
  font-size: 13px;
  font-weight: 550;
  letter-spacing: 0.025px;
  background-color: var(--link-bg);
  transition: background-color 0.2s ease;
}

@media (hover: hover) and (pointer: fine) {
  .kbd {
    display: flex;
  }
  .link-btn:hover {
    background-color: var(--link-bg-hover);
  }

  .btn {
    width: 36px;
    height: 36px;
    opacity: 0.7;
    transition: all 0.1s ease;
    font-weight: 600;
  }
  .btn:hover {
    z-index: 3;
    background: linear-gradient(
      180deg,
      rgba(255, 255, 255, 0.04) 0%,
      rgba(255, 255, 255, 0.1) 100%
    );

    opacity: 1;
  }
  .btn:hover::after {
    opacity: 1;
    right: 44px;
  }
}

@media (orientation: portrait) {
  .buttons {
    flex-direction: row-reverse;
  }
}
